BasicWeb/Models/ErrorViewModel.cs
namespace BasicWeb.Models
{
    public class ErrorViewModel
    {
        public string? RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

BasicWeb/Models/Student.cs
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace BasicWeb.Models
{
    public class Student
    {
        [Key]   
        public int Id { get; set; }

        [Required(ErrorMessage ="กรุณาป้อนชื่อสินค้า")]
        [DisplayName("ชื่อสินค้า")]
        public string Name { get; set; }

        
        [DisplayName("ราคาสินค้า")]
        [Range(5000,50000, ErrorMessage = "กรุณาป้อนราคาสินค้าระหว่าง 5000-50000")]
        public int Price { get; set; }
        
    }
}

BasicWeb/Controllers/HomeController.cs
using BasicWeb.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace BasicWeb.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

BasicWeb/Controllers/StudentController.cs
using BasicWeb.Data;
using BasicWeb.Models;
using Microsoft.AspNetCore.Mvc;

namespace BasicWeb.Controllers
{
    public class StudentController : Controller
    {
        private readonly ApplicationDBContext _db;

        public StudentController(ApplicationDBContext db)
        {
            _db = db;
        }
        public IActionResult Index()
        {
            IEnumerable<Student> allProducts = _db.Students;

            return View(allProducts);
        }

        //GET METHOD *** When first run
        public IActionResult Create() {
            return View();
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public IActionResult Create(Student obj)
        {
            if (ModelState.IsValid)
            {
                _db.Students.Add(obj);
                _db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(obj);
        }

        public IActionResult Edit(int? id) 
        {

            if (id == null || id ==0)
            {
                return NotFound();
            }
            var obj = _db.Students.Find(id);
            if(obj == null)
            {
                return NotFound();
            }
               
            return View(obj);
            
        }


        [HttpPost]
        [ValidateAntiForgeryToken]
        public IActionResult Edit(Student obj)
        {
            if (ModelState.IsValid)
            {
                _db.Students.Update(obj);
                _db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(obj);
        }

        public IActionResult Delete(int? id)
        {

            if (id == null || id == 0)
            {
                return NotFound();
            }
            var obj = _db.Students.Find(id);
            if (obj == null)
            {
                return NotFound();
            }

            _db.Students.Remove(obj);
            _db.SaveChanges();
            return RedirectToAction("Index");

        }

        //public IActionResult Delete(Student obj)
        //{
        //        _db.Students.Remove(obj);
        //        _db.SaveChanges();
        //        return RedirectToAction("Index");
        //}

    }
}

BasicWeb/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Adsadwut</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>

BasicWeb/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"]</title>  <!-- ?? Title on Web all page ?? -->
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/BasicWeb.styles.css" asp-append-version="true" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-dark bg-dark border-bottom box-shadow mb-3">
            <div class="container-fluid">
                <a class="navbar-brand" asp-area="" asp-controller="Student" asp-action="Index">Mockey Shop</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Student" asp-action="Index">หน้าแรก</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Student" asp-action="Create">บันทึกข้อมูลสินค้า</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2566 - BasicWeb - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>

BasicWeb/Views/Student/Create.cshtml
@model Student;
@{
    ViewData["Title"] = "บันทึกข้อมูลสินค้า";
}

<h1 class="text-center text-black-50">บันทึกข้อมูลสินค้า</h1>
<form method="post" asp-controller="Student" asp-action="Create">
    <div class="form-group">
        <label asp-for="Name"></label>
        <input type="text" asp-for="Name" class="form-control"/>
        <span asp-validation-for="Name" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Price"></label>
        <input type="text" asp-for="Price" class="form-control" />
        <span asp-validation-for="Price" class="text-danger"></span>
    </div>
    <button type="submit" class="btn btn-primary my-2">บันทึก</button>
</form>

BasicWeb/Views/Student/Edit.cshtml
@model Student;
@{
    ViewData["Title"] = "แก้ไขข้อมูลสินค้า";
}

<h1 class="text-center">Edit</h1>
<form method="post" asp-controller="Student" asp-action="Edit">
    <div class="form-group">
        <label asp-for="Name"></label>
        <input type="text" asp-for="Name" class="form-control" />
        <span asp-validation-for="Name" class="text-danger"></span>
        
    </div>
    <div class="form-group">
        <label asp-for="Price"></label>
        <input type="text" asp-for="Price" class="form-control" />
        <span asp-validation-for="Price" class="text-danger"></span>
    </div>
    <button type="submit" class="btn btn-primary my-2">อัพเดต</button>
</form>

BasicWeb/Views/Student/Index.cshtml
@model IEnumerable<Student>;
@{
    ViewData["Title"] = "หน้าแรก";
}

@if (Model.Count()>0)
{
    <h1 class="text-center ">หน้าแรก</h1>
    <table class="table">
        <thead>
            <tr class="text-center">
                <th>รหัสสินค้า</th>
                <th>ชื่อสินค้า</th>
                <th>ราคาสินค้า</th>
                <th>แก้ไขสินค้า</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var student in Model)
            {
                <tr class="text-center">
                    <td>@student.Id</td>
                    <td>@student.Name</td>
                    <td>@student.Price</td>
                    <td>
                        <a class="btn btn-warning "
                        asp-controller="Student" 
                        asp-action="Edit"
                           asp-route-id="@student.Id">
                           <i class="fa fa-pencil"></i> แก้ไข</a>
                        <a class="btn btn-danger"
                           data-bs-toggle="modal" data-bs-target="#deleteModal-@student.Id">
                            <i class="fa fa-trash"></i> ลบ
                        </a>
                    </td>
                       
                </tr>
            }
        </tbody>
    </table>
}
else
{
    <div class="alert alert-secondary">ไม่มีข้อมูลสินค้า</div>
}
@foreach (var student in Model)
{
    <div class="modal fade" id="deleteModal-@student.Id" tabindex="-1" aria-labelledby="deleteModalLabel-@student.Id" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="deleteModalLabel-@student.Id">ยืนยันการลบ</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <p>คุณต้องการลบสินค้ารหัส @student.Id ใช่หรือไม่?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">ยกเลิก</button>
                    <a class="btn btn-danger" asp-controller="Student" asp-action="Delete" asp-route-id="@student.Id">ลบ</a>
                </div>
            </div>
        </div>
    </div>
}


<script>
    $(document).ready(function () {
        $('.modal').on('shown.bs.modal', function () {
            $(this).find('[autofocus]').focus();
        });
    });
</script>

<style>
    th,td{
        border-color: #96D4D4 ;
        background-color: #D6EEEE;
    }
</style>